Loading...
Searching...
No Matches
BALL::VIEW::GridVisualisation Class Reference
Visualisation » Geometric Objects

`#include <BALL/VIEW/PRIMITIVES/gridVisualisation.h>`

Inheritance diagram for BALL::VIEW::GridVisualisation:

## Public Types

enum | Type { PLANE , SLICES , DOTS }

## Public Member Functions

| GridVisualisation ()
| GridVisualisation (const GridVisualisation &plane)
virtual | ~GridVisualisation ()
const GridVisualisation & | operator= (const GridVisualisation &plane)
const Vector3 & | getNormal () const
void | setNormal (const Vector3 &normal)
const Vector3 & | getPoint () const
void | setPoint (const Vector3 &v)
void | setGrid (const RegularData3D *grid)
const RegularData3D * | getGrid () const
Position | getTexture () const
void | setTexture (Position texture)
void | setDotSize (Size dot_size)
Size | getDotSize () const
Public Member Functions inherited from BALL::VIEW::GeometricObject
| GeometricObject ()
| GeometricObject (const GeometricObject &object)
virtual | ~GeometricObject ()
virtual void | clear ()
void | set (const GeometricObject &object)
GeometricObject & | operator= (const GeometricObject &object)
void | swap (GeometricObject &object)
void | setComposite (const Composite *composite)
const Composite * | getComposite () const
virtual bool | isValid () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setColor (const ColorRGBA &color)
void | setColor (const ColorUnit &red, const ColorUnit &green, const ColorUnit &blue, const ColorUnit &alpha=(float) 1)
const ColorRGBA & | getColor () const
ColorRGBA & | getColor ()
void | getColor (ColorUnit &red, ColorUnit &green, ColorUnit &blue, ColorUnit &alpha) const
void | getColors (HashSet< String > &colors)
| Insert the colors of this object into the hashset.
bool | operator== (const GeometricObject &object) const
| Needed for MSVC.
bool | operator< (const GeometricObject &object) const
| Needed for MSVC.
virtual void | getVertices (std::vector< Vector3 > &) const

## Public Attributes

Vector3 | origin
Vector3 | x
Vector3 | y
Vector3 | z
float | max_dim
Size | slices
vector< Vector3 > | points
Type | type
bool | draw_box

## Protected Attributes

Vector3 | normal_
Vector3 | point_
Position | texture_
const RegularData3D * | grid_
Size | dot_size_

## Detailed Description

GridVisualisation

Definition at line 25 of file gridVisualisation.h.

## Member Enumeration Documentation

## Type

enum BALL::VIEW::GridVisualisation::Type

Enumerator
PLANE |
SLICES |
DOTS |

Definition at line 30 of file gridVisualisation.h.

## Constructor & Destructor Documentation

## GridVisualisation() [1/2]

BALL::VIEW::GridVisualisation::GridVisualisation | ( |  | ) |

## GridVisualisation() [2/2]

BALL::VIEW::GridVisualisation::GridVisualisation | ( | const GridVisualisation & | plane | ) |

## ~GridVisualisation()

virtual BALL::VIEW::GridVisualisation::~GridVisualisation | ( |  | ) |

inline virtual

Destructor

Definition at line 52 of file gridVisualisation.h.

## Member Function Documentation

## getDotSize()

Size BALL::VIEW::GridVisualisation::getDotSize | ( |  | ) | const

inline

Definition at line 85 of file gridVisualisation.h.

## getGrid()

const RegularData3D * BALL::VIEW::GridVisualisation::getGrid | ( |  | ) | const

inline

Definition at line 73 of file gridVisualisation.h.

## getNormal()

const Vector3 & BALL::VIEW::GridVisualisation::getNormal | ( |  | ) | const

inline

Definition at line 58 of file gridVisualisation.h.

## getPoint()

const Vector3 & BALL::VIEW::GridVisualisation::getPoint | ( |  | ) | const

inline

Definition at line 64 of file gridVisualisation.h.

## getTexture()

Position BALL::VIEW::GridVisualisation::getTexture | ( |  | ) | const

inline

Definition at line 76 of file gridVisualisation.h.

## operator=()

const GridVisualisation & BALL::VIEW::GridVisualisation::operator= | ( | const GridVisualisation & | plane | ) |

## setDotSize()

void BALL::VIEW::GridVisualisation::setDotSize | ( | Size | dot_size | ) |

inline

Definition at line 82 of file gridVisualisation.h.

## setGrid()

void BALL::VIEW::GridVisualisation::setGrid | ( | const RegularData3D * | grid | ) |

inline

Definition at line 70 of file gridVisualisation.h.

## setNormal()

void BALL::VIEW::GridVisualisation::setNormal | ( | const Vector3 & | normal | ) |

inline

Definition at line 61 of file gridVisualisation.h.

## setPoint()

void BALL::VIEW::GridVisualisation::setPoint | ( | const Vector3 & | v | ) |

inline

Definition at line 67 of file gridVisualisation.h.

## setTexture()

void BALL::VIEW::GridVisualisation::setTexture | ( | Position | texture | ) |

inline

Definition at line 79 of file gridVisualisation.h.

## Member Data Documentation

## dot_size_

Size BALL::VIEW::GridVisualisation::dot_size_

protected

Definition at line 100 of file gridVisualisation.h.

## draw_box

bool BALL::VIEW::GridVisualisation::draw_box

Definition at line 92 of file gridVisualisation.h.

## grid_

const RegularData3D* BALL::VIEW::GridVisualisation::grid_

protected

Definition at line 99 of file gridVisualisation.h.

## max_dim

float BALL::VIEW::GridVisualisation::max_dim

Definition at line 88 of file gridVisualisation.h.

## normal_

Vector3 BALL::VIEW::GridVisualisation::normal_

protected

Definition at line 96 of file gridVisualisation.h.

## origin

Vector3 BALL::VIEW::GridVisualisation::origin

Definition at line 87 of file gridVisualisation.h.

## point_

Vector3 BALL::VIEW::GridVisualisation::point_

protected

Definition at line 97 of file gridVisualisation.h.

## points

vector<Vector3> BALL::VIEW::GridVisualisation::points

Definition at line 90 of file gridVisualisation.h.

## slices

Size BALL::VIEW::GridVisualisation::slices

Definition at line 89 of file gridVisualisation.h.

## texture_

Position BALL::VIEW::GridVisualisation::texture_

protected

Definition at line 98 of file gridVisualisation.h.

## type

Type BALL::VIEW::GridVisualisation::type

Definition at line 91 of file gridVisualisation.h.

## x

Vector3 BALL::VIEW::GridVisualisation::x

Definition at line 87 of file gridVisualisation.h.

## y

Vector3 BALL::VIEW::GridVisualisation::y

Definition at line 87 of file gridVisualisation.h.

## z

Vector3 BALL::VIEW::GridVisualisation::z

Definition at line 87 of file gridVisualisation.h.